import { world, system } from "@minecraft/server";
import { ItemStack } from "@minecraft/server";
/* 
Checks which item is in the mainhand
*/

export function itemHold(event) {
  const typeId = event.typeId;
  if (typeId !== "minecraft:player") {
    return;
  }

  const holdingItem = event.getComponent("equippable").getEquipment("Mainhand");
  if (holdingItem == undefined) {
    return;
  } else {
    if (holdingItem.typeId.includes("me_gfts:guide_book_spawn_egg")) {
      event.runCommand('/titleraw @s actionbar {"rawtext":[{"translate":"me_gfts.guide_book.actionbar_hint"}]}');
    }
  }
}
