import { world } from "@minecraft/server";

/* 
Checks if the player joins for the first time
*/

export function playerJoins(player) {
  if (!player.hasTag("me_gfts_registered_player")) {
    player.runCommand("/gamerule sendcommandfeedback false");
    player.runCommand("/function me/gfts/recipe_unlock");
    player.runCommand('/tellraw @s {"rawtext":[{"text":"§l§6Gifts§r Add-On installed!"}]}');
    player.runCommand("/give @s me_gfts:guide_book_spawn_egg");

    player.addTag("me_gfts_registered_player");
  }
}
